﻿using Infragistics.Controls.Editors;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDateTimeInput_Binding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            MainViewModel vm = new MainViewModel();
            InitializeComponent();
            DataContext = vm;
          
        }

        
    }

    public class MainViewModel : INotifyPropertyChanged
    {

        public MainViewModel() 
        {
            //uncomment this line
           // DateTimeValue = new DateTime(2015, 01, 23);
        }

         private DateTime? dateTimeValue;

         public DateTime? DateTimeValue
         {
             get
             {
                 return dateTimeValue;
             }
             set
             {
                 dateTimeValue = value;
                 PropChanged("DateTimeValue");
             }
         }

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
